osg::Texture::TextureProfile Struct Reference

`#include <Texture>`

## Public Member Functions

| TextureProfile (GLenum target)
| TextureProfile (GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
bool | operator< (const TextureProfile &rhs) const
bool | operator== (const TextureProfile &rhs) const
void | set (GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
bool | match (GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
void | computeSize ()

## Public Attributes

GLenum | _target
GLint | _numMipmapLevels
GLenum | _internalFormat
GLsizei | _width
GLsizei | _height
GLsizei | _depth
GLint | _border
unsigned int | _size

## Constructor & Destructor Documentation

## TextureProfile() [1/2]

osg::Texture::TextureProfile::TextureProfile | ( | GLenum | target | ) |

inline

References _border, _depth, _height, _internalFormat, _numMipmapLevels, _size, _target, and _width.

Referenced by operator<(), and operator==().

## TextureProfile() [2/2]

osg::Texture::TextureProfile::TextureProfile | ( | GLenum | target,
|  | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border )

inline

References _border, _depth, _height, _internalFormat, _numMipmapLevels, _size, _target, _width, and computeSize().

## Member Function Documentation

## computeSize()

void osg::Texture::TextureProfile::computeSize | ( |  | ) |

Referenced by set(), and TextureProfile().

## match()

bool osg::Texture::TextureProfile::match | ( | GLenum | target,
|  | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border )

inline

References _border, _depth, _height, _internalFormat, _numMipmapLevels, _target, and _width.

## operator<()

bool osg::Texture::TextureProfile::operator< | ( | const TextureProfile & | rhs | ) | const

inline

References _border, _depth, _height, _internalFormat, _numMipmapLevels, _size, _target, _width, FINALLESSTHAN, LESSTHAN, and TextureProfile().

## operator==()

bool osg::Texture::TextureProfile::operator== | ( | const TextureProfile & | rhs | ) | const

inline

References _border, _depth, _height, _internalFormat, _numMipmapLevels, _target, _width, and TextureProfile().

## set()

void osg::Texture::TextureProfile::set | ( | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border )

inline

References _border, _depth, _height, _internalFormat, _numMipmapLevels, _width, and computeSize().

## Member Data Documentation

## _border

GLint osg::Texture::TextureProfile::_border

Referenced by match(), operator<(), operator==(), set(), TextureProfile(), and TextureProfile().

## _depth

GLsizei osg::Texture::TextureProfile::_depth

Referenced by match(), operator<(), operator==(), set(), TextureProfile(), and TextureProfile().

## _height

GLsizei osg::Texture::TextureProfile::_height

Referenced by match(), operator<(), operator==(), set(), TextureProfile(), and TextureProfile().

## _internalFormat

GLenum osg::Texture::TextureProfile::_internalFormat

Referenced by match(), operator<(), operator==(), set(), TextureProfile(), and TextureProfile().

## _numMipmapLevels

GLint osg::Texture::TextureProfile::_numMipmapLevels

Referenced by match(), operator<(), operator==(), set(), TextureProfile(), and TextureProfile().

## _size

unsigned int osg::Texture::TextureProfile::_size

Referenced by operator<(), TextureProfile(), and TextureProfile().

## _target

GLenum osg::Texture::TextureProfile::_target

Referenced by match(), operator<(), operator==(), TextureProfile(), and TextureProfile().

## _width

GLsizei osg::Texture::TextureProfile::_width

Referenced by match(), operator<(), operator==(), set(), TextureProfile(), and TextureProfile().

The documentation for this struct was generated from the following file:

- Texture